org.apache.cassandra.metrics

## Interface CassandraMetricsRegistry.JmxMeterMBean

- All Superinterfaces:
    CassandraMetricsRegistry.MetricMBean
  All Known Subinterfaces:
    CassandraMetricsRegistry.JmxTimerMBean
  Enclosing class:
    CassandraMetricsRegistry

      public static interface CassandraMetricsRegistry.JmxMeterMBean
      extends CassandraMetricsRegistry.MetricMBean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCount()`
    `double` | `getFifteenMinuteRate()`
    `double` | `getFiveMinuteRate()`
    `double` | `getMeanRate()`
    `double` | `getOneMinuteRate()`
    `java.lang.String` | `getRateUnit()`

    - ### Methods inherited from interface org.apache.cassandra.metrics.CassandraMetricsRegistry.MetricMBean

      `objectName`

- - ### Method Detail

    - #### getCount

          long getCount()

    - #### getMeanRate

          double getMeanRate()

    - #### getOneMinuteRate

          double getOneMinuteRate()

    - #### getFiveMinuteRate

          double getFiveMinuteRate()

    - #### getFifteenMinuteRate

          double getFifteenMinuteRate()

    - #### getRateUnit

          java.lang.String getRateUnit()

Copyright © 2018 The Apache Software Foundation